using System;
using System.Collections.Generic;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Core.Application.Contracts
{
    public interface IGlobalService
    {
        //string GetCommentsForSubject(Guid globalId);
        IEnumerable<HistoryVisitRSDTO> GetHistoryVisitRsList(Guid trialId, Guid subjectId, decimal visitNum, Guid globalId,string globalCode);

        PreviousGlobalReadsView GetHistoryGlobalRsList(Guid trialId, Guid subjectId, decimal visitNum, Guid globalId);

        IResponseOutput AddGlobalReport(GlobalTaskReportCommand globalTaskReportCommand);



        AdReportDTO GetAdReport(Guid adId);
        IResponseOutput AddAdjudicationReport(ADReportCommand adReportCommand);
    }



}